import request from '@/benyun/utils/request'

//分销等级
export function saleRankList(data?:any){
	return request({
		url: '/omsOrder/saleRank/page',
		method: 'GET',
		params: data
	})
}
//新增分销等级
export function saleRankAdd(data?:any){
	return request({
		url: '/omsOrder/saleRank/save',
		method: 'POST',
		data: data
	})
}
//修改分销等级
export function saleRankUpdate(data?:any){
	return request({
		url: '/omsOrder/saleRank/update',
		method: 'POST',
		data: data
	})
}
//分销用户
export function userRankList(data?:any){
	return request({
		url: '/omsOrder/userRank/page',
		method: 'GET',
		params: data
	})
}

//分销员
export function userBalanceList(data?:any){
	return request({
		url: '/omsOrder/userBalance/page',
		method: 'GET',
		params: data
	})
}

//带货
export function influenceList(data?:any){
	return request({
		url: '/omsOrder/influence/page',
		method: 'GET',
		params: data
	})
}

//sku列表
export function skuList(data?:any){
	return request({
		url: '/maindata/maindataMaterialSku/page',
		method: 'GET',
		params: data
	})
}

//佣金设置
export function productCommissionSave(data?:any){
	return request({
		url: '/omsOrder/productCommission/save',
		method: 'POST',
		data: data
	})
}
//修改商品佣金设置
export function productCommissionUpdate(data?:any){
	return request({
		url: '/omsOrder/productCommission/update',
		method: 'POST',
		data: data
	})
}

//佣金查询
export function productCommissionQueryByProductId(data?:any){
	return request({
		url: '/omsOrder/productCommission/queryByProductId',
		method: 'GET',
		params: data
	})
}

//分销订单
export function distributionOrder(data:any){
	return request({
		url: '/omsOrder/omsOrder/querySaleTrade',
		method: 'POST',
		params: data
	})
}